Ошибка сегментации GIMP (dl-reloc.c не найден)

4

Внезапно мой GIMP 2.8.16-1ubuntu1.1 больше не запускается в Ubuntu 16.04 64-бит с последними обновлениями от 2017/12/04 19:48

Как только я запускаю его из командной строки, он просто говорит:

Segmentation fault (core dumped)

Из графического интерфейса он ничего не делает.

Я искал часы в Интернете и нашел способ отладить его:

gdb gimp
(gdb) run

Вывод следующий:

Starting program: /usr/bin/gimp 

Program received signal SIGSEGV, Segmentation fault.
_dl_relocate_object (scope=0x7ffff7fd7358, reloc_mode=<optimized out>, 
    [email protected]=0) at dl-reloc.c:232
232 dl-reloc.c: Datei oder Verzeichnis nicht gefunden.

«Datei oder Verzeichnis nicht gefunden» является немецким и означает «Нет такого файла или каталога».

Я действительно не знаю, что я должен делать! Я уже пробовал переустанавливать GIMP, но я даже не обновлял его до того, как произошел сбой!

Однако недавно я обновил некоторые файлы libc, которые предложили мне окно обновления ubuntu.

Я не часто использую GIMP, но до обновления он работал. Возможно, имеет какое-то отношение к обновлению?

Пожалуйста, помогите!

My apt-cache policy gimp :

gimp:
  Installed:           2.8.16-1ubuntu1.1
  Installation candidate: 2.8.16-1ubuntu1.1
  Version table:
 *** 2.8.16-1ubuntu1.1 500
        500 http://de.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages
        500 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 Packages
        100 /var/lib/dpkg/status
     2.8.16-1ubuntu1 500
        500 http://de.archive.ubuntu.com/ubuntu xenial/universe amd64 Packages

uname -a :

Linux user01 4.4.0-101-generic #124-Ubuntu SMP Fri Nov 10 18:29:59 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

arch :     x86_64

sudo apt-get check :

   Paketlisten werden gelesen... Fertig
   Abhängigkeitsbaum wird aufgebaut.       
   Statusinformationen werden eingelesen.... Fertig

Это в основном означает, что все должно работать нормально. Дерево зависимостей строится, информация о состоянии считывается и списки пакетов также считываются.

My /etc/apt/sources.list.d/ ничего не содержит. И я не думаю, что я использую PPA. Однако я установил виртуальный бокс, андроид-студию и так далее. Все может быть проблемой!

    
задан fameman 04.12.2017 в 19:54
источник

0 ответов